<?php
if(!isset($_SESSION)) {  session_start(); }
ob_start();
if(!isset($_SESSION["user_id"])){header("location:../logout.php");}
$father = $_SESSION["user_id"];
include "../actions/dbPDO.php";

if(isset($_POST["cust_basic"])){
                          $cust_basic =$_POST["cust_basic"];
  $cust_name   = $_POST["cust_name"];     $nation    = $_POST["nation"];        $xn           = $_POST["xn"];
  $id_From      = $_POST["id_From"];      $id_Expire = $_POST["id_Expire"];
  $license     = $_POST["license"];       $lic_from  = $_POST["lic_from"];      $lic_expire   = $_POST["lic_expire"];
  $birth       = $_POST["birth"];         $religion  = $_POST["religion"];      $job          = $_POST["job"];

  $name   = '/^[-a-zA-Z0-9_\p{Arabic}-+ـ\s]*$/u';
  $Number = "/^[0-9]+$/";

  if(empty($cust_name) || empty($xn)|| empty($lic_expire))
  {
    echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
          <b> من فضلك سجل رقم هوية و سام المستاجر و تاريخ انتهاء الرخصة علي الاقل ليتم حفظ البيانات ...!</b>
          </div>
    ";
    exit();
  }else{
  if(!preg_match($name,$cust_name)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>من فضلك راجع ...$cust_name اسم المستاجر يحتوي على علامات غريبة</b>
    </div>
    ";
    exit();
  }
  if((strlen($cust_name) < 7)||(strlen($cust_name) > 98)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>من فضلك تأكد من اسم المستاجر ...</b>
    </div>
    ";
    exit();
  }
if(!preg_match($Number,$xn)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>من فضلك راجع ...$xn رقم النسخة أرقام فقط</b>
    </div> ";
    exit();
  }
  if(($xn < 0)||($xn > 99)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>من فضلك راجع رقم النسحة...</b>
    </div>
    ";
    exit();
  }
  if(!empty($nation)){ if(!preg_match($name,$nation)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>من فضلك راجع .....$nation الجنسية حروف فقط </b>
    </div>
    ";
    exit();
  }}
if(!empty($id_From)){ if(!preg_match($name,$id_From)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>من فضلك راجع .....$id_From مصدر الهوية حروف فقط</b>
        </div>
        ";
        exit();
      }}
      if(!empty($license)){ if(!preg_match($Number,$license)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>من فضلك راجع .....$license الديانة حروف فقط </b>
        </div>
        ";
        exit();
      }}
      if(!empty($lic_from)){ if(!preg_match($name,$lic_from)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>من فضلك راجع .....$lic_from الديانة حروف فقط </b>
        </div>
        ";
        exit();
      }}
      if(!empty($job)){ if(!preg_match($name,$job)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>من فضلك راجع .....$job المهنة حروف فقط</b>
        </div>
        ";
        exit();
      }}
      if(!empty($religion)){ if(!preg_match($name,$religion)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>من فضلك راجع .....$religion الديانة حروف فقط </b>
        </div>
        ";
        exit();
      }}
      $sql=$db->prepare("UPDATE customers SET cust_name = ?, nation = ?, xn = ?, id_From = ?,
         id_Expire = ?, license = ? , lic_from = ?, lic_expire  = ? , birth = ?, job = ?, religion = ? ,father = ?
         WHERE cust_id = ?");
      $sql->bindParam(1,$cust_name);
      $sql->bindParam(2,$nation);
      $sql->bindParam(3,$xn);
      $sql->bindParam(4,$id_From);
      $sql->bindParam(5,$id_Expire);
      $sql->bindParam(6,$license);
      $sql->bindParam(7,$lic_from);
      $sql->bindParam(8,$lic_expire);
      $sql->bindParam(9,$birth);
      $sql->bindParam(10,$job);
      $sql->bindParam(11,$religion);
      $sql->bindParam(12,$father);
      $sql->bindParam(13,$cust_basic);
      if($sql->execute()){
    echo "
      <div class='alert alert-success'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تم تحديث بيانات المستأجر الاساسية بنجاح .... </b>
      </div>
      ";}
    else{ echo "<div class='alert alert-danger'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> خطا في تسجيل بيانات التشغيل</b>
      </div>
    ";}
} // end if empty
} // end of cust_basic update form

if(isset($_POST["cust_dd"])){
    $cust_dd      = $_POST["cust_dd"];
    $photo_idSA   = $_POST["photo_idSA"];
    $myPhoto      = $_FILES["source_image"];
    if(!empty($cust_dd)||!empty($photo_idSA)||!empty($myPhoto)){
      include_once "../op/upload_photo.php";
    $location = "../photo/customers/" ;
      if (!empty($_FILES["source_image"]["name"])){
      $cust_photo = upload_file($myPhoto , $photo_idSA,  $location);
          $sql=$db->prepare("UPDATE customers SET  cust_photo = ?
         WHERE cust_id = ?");
         $sql->bindParam(1,$cust_photo);
         $sql->bindParam(2,$cust_dd);
         if($sql->execute()){
       echo "
         <div class='alert alert-success'>
         <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
         <b>تم إضافة صورة الهوية و الرخصة بنجاح </b>
         </div>
         ";}
       else{ echo "<div class='alert alert-danger'>
       <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
         <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك455</b>
         </div>
       ";}
       }
       }
}

if(isset($_POST["cust_tel"])){
            $cust_tel    = $_POST['cust_tel'];
  $phone2       = $_POST['phone2'];
  $phone        = $_POST['phone'];
  $address      = $_POST['address'];
  $dgree        = $_POST['dgree'];
  $comm         = $_POST['comm'];

  $name ='/^[-a-zA-Z0-9_\p{Arabic}-+ـ\s]*$/u';
  $Number = "/^[0-9]+$/";
  if(empty($address)||empty($dgree))
  {
    echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
          <b> من فضلك سجل رقم جوال و عنوان المستأجر كذلك التقييم ليتم تحديث البيانات...!</b>
          </div>
    ";
    exit();
  }else{
    if(!empty($phone2)){ if(!preg_match($Number,$phone2)){
          echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>   من فضلك راجع ... $phone2 رقم جوال2 للمستأجر أرقام فقط</b>
          </div>
        ";
          exit();
        }
        if((strlen($phone2) < 10)){
          echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>رقم جوال2 اقل من عشرة ارقم انتبه من فضلك ...</b>
          </div>
          ";
          exit();
        }  }
    if(!empty($comm)){
        if(!preg_match($name,$comm)){
          echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>   من فضلك راجع ... $comm استخدم الحروف و الأرقام فقط</b>
          </div>
        ";
          exit();
        }}
        // check dgree
        $sqld = $db->prepare("SELECT dgree FROM customers  WHERE cust_id = '$cust_tel'  LIMIT 1");
        $sqld->execute();
        if($sqld->rowCount()>0){$row = $sqld->fetch(PDO::FETCH_ASSOC);
            $dgree_db   = $row["dgree"];}
            if($dgree > $dgree_db){$dgree = $dgree_db ;}
        // existing phone number in your database
        $sql = $db->prepare("SELECT cust_id , cust_name , phone , phon2 FROM customers
          WHERE phone = '$phone' OR phone2 = '$phone2' LIMIT 3");
        $sql->execute();
        if($sql->rowCount()>1){
        while($row = $sql->fetch()){
              $cust_id    = $row["cust_id"];
              $cust_name  = $row["cust_name"];
              $phone      = $row["phone"];
              $phone2     = $row["phone2"];
          echo "
          <div class='alert alert-danger'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
          <b>هذا الرقم استخدم من قبل باسم السيد: $cust_name  من قبل كود رقم $cust_id جوال رقم $phone و جوال  $phone2</b>
          </div>
          ";}
          exit();
  }else {
      $sql=$db->prepare("UPDATE customers SET  phone2 = ? , dgree = ? ,address =?, comm =?, father = ?
               WHERE cust_id = ?");
            $sql->bindParam(1,$phone2);
            $sql->bindParam(2,$dgree);
            $sql->bindParam(3,$address);
            $sql->bindParam(4,$comm);
            $sql->bindParam(5,$father);
            $sql->bindParam(6,$cust_tel);
            if($sql->execute()){
          echo "
            <div class='alert alert-success'>
            <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>   تم تحديث بيانات التواصل مع المستاجر بنجاح....   </b>
            </div>
            ";}
          else{ echo "<div class='alert alert-danger'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
            <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك455</b>
            </div>
          " ; }
  }}}// end of customer telecomunication

if(isset($_POST["cust_work"])){
  $cust_work          = $_POST["cust_work"];
  $working_lic        = $_POST['working_lic'];          $working_woner      = $_POST['working_woner'];
  $w_phone            = $_POST['w_phone'];              $w_phone2           = $_POST['w_phone2'];
  $working_address    = $_POST['working_address'];

  $name ='/^[-a-zA-Z0-9_\p{Arabic}-+ـ\s]*$/u';
  $Number = "/^[0-9]+$/";
  if(empty($working_woner))
  {
    echo "
          <div class='alert alert-warning'>
          <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
          <b>من فضلك سجل جهة العمل علي الأقل ليتم تحديث بيانات العمل ....!</b>
          </div>
    ";
    exit();
  }else{
    if(!preg_match($name,$working_woner)){
                echo " <div class='alert alert-warning'>
                      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                      <b>راجع من فضلك  $working_woner تأكد من الإسم الصحيح لجهة العمل يوجد علامات غريبة </b>
                      </div>";
                      exit();
                  }
  if(!empty($working_lic)){ if(!preg_match($name,$working_lic)){
                    echo "
                    <div class='alert alert-warning'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                    <b>من فضلك راجع .....$working_lic رقم رخصة العمل تحتوي على علامات غريبة </b>
                    </div>
                    ";
                    exit();
          }}
    if(!empty($w_phone)){ if(!preg_match($Number,$w_phone)){
                    echo "
                    <div class='alert alert-warning'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                    <b>من فضلك راجع .....$w_phone جوال جهة العمل أرقام فقط </b>
                    </div>
                    ";
                    exit();
    }}
  if(!empty($w_phone2)){ if(!preg_match($Number,$w_phone2)){
                    echo "
                    <div class='alert alert-warning'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                    <b>من فضلك راجع .....$w_phone2 جوال العمل2 أرقام فقط </b>
                    </div>
                    ";
                    exit();
    }}
  if(!empty($working_address)){ if(!preg_match($name,$working_address)){
                    echo "
                    <div class='alert alert-warning'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                    <b>من فضلك راجع .....$working_address عنوان جهة العمل حروف و أرقام فقط </b>
                    </div>
                    ";
                    exit();
    }}
$sql=$db->prepare("UPDATE customers SET  working_lic = ?, working_woner = ?, w_phone = ? ,w_phone2 = ? , working_address=?
                     WHERE cust_id = ?");
    $sql->bindParam(1,$working_lic);
    $sql->bindParam(2,$working_woner);
    $sql->bindParam(3,$w_phone);
    $sql->bindParam(4,$w_phone2);
    $sql->bindParam(5,$working_address);
    $sql->bindParam(6,$cust_work);
      if($sql->execute()){
                   echo "
                     <div class='alert alert-success'>
                     <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                     <b>  تم تحديث بيانات العمل للمستأجر بنجاح ......           </b>
                     </div>
                     ";}
                   else{ echo "<div class='alert alert-danger'>
                   <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                     <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك455</b>
                     </div>
                   ";}
    }}//end of working form
?>
